

Summary: LosslessCut Video Editor 
Name: losslesscut
Version: 1.9.0
Release: %mkrel 1
License: GPL
Group: Video
URL: https://github.com/mifi/lossless-cut/releases
Source0: losslesscut.png
Source1: losslesscut.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
AutoReqProv: no

%description
Simple, cross platform tool for lossless trimming / cutting of video
and audio files. Great for rough processing of large video files
taken from a video camera, GoPro, drone, etc. It lets you quickly
extract the good parts from your videos and discard GBs of data
without losing quality.

%prep

%build

%install
rm -rf %buildroot
mkdir -p %buildroot/opt

cd $RPM_SOURCE_DIR
wget -nc https://github.com/mifi/lossless-cut/releases/download/v%{version}/LosslessCut-linux-x64.zip

# extract data from the zip package
unzip LosslessCut-linux-x64.zip -d %buildroot/opt

#symlink
mkdir -p %buildroot/%{_bindir}
ln -fs /opt/LosslessCut-linux-x64/LosslessCut %buildroot%{_bindir}/losslesscut

#icon
mkdir -p %buildroot/%{_datadir}/pixmaps
install -m 0644 %SOURCE0 %buildroot/%{_datadir}/pixmaps/losslesscut.png

#menu
mkdir -p %buildroot/%{_datadir}/applications
install -m 0644 %SOURCE1 %buildroot/%{_datadir}/applications/losslesscut.desktop

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
/opt/LosslessCut-linux-x64
%{_bindir}/losslesscut
%{_datadir}/pixmaps/losslesscut.png
%{_datadir}/applications/losslesscut.desktop

%changelog
* Sat Dec 02 2017 bb2 <bb2> - 1.9.0-1pclos2017
- create package
